> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Updated

> Trigger when a Dynamics Business Central record is updated.

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "dynamicsbusinesscentral",
  "type": "DYNAMICS_BUSINESS_CENTRAL_TRIGGER_RECORD_UPDATED",
  "parameters": {
    "recordType": "purchaseInvoices",
    "businessCentralFilterFormula": "Field"
  }
}
```

**Configuration options:**

<ParamField path="recordType" type="ENUM" required>
  Record Type

  * Allowed values: Purchase Invoice (`purchaseInvoices`), Vendors (`vendors`)
  * Options can be loaded by using the `recordType` key. Learn more in [User Configuration](/actionkit/triggers/user-configuration).
</ParamField>

<Accordion title="When Purchase Invoice is selected">
  Additional options when this parameter is set to `purchaseInvoices`.

  <ParamField path="businessCentralFilterFormula" type="CONDITIONAL">
    Only trigger on records that match these filters.

    * Example value: `Field`
    * Supported filter fields: `id`, `vendorName`, `vendorInvoiceNumber`, `dueDate`, `postingDate`, `status`
    * Supported filter fields are loaded from `getFields` after selecting `recordType`.
    * Supported operators: `$stringExactlyMatches`, `$stringDoesNotExactlyMatch`, `$numberEquals`, `$numberGreaterThan`, `$numberLessThan`, `$numberGreaterThanOrEqualTo`, `$numberDoesNotEqual`, `$dateTimeEquals`, `$dateTimeBefore`, `$dateTimeAfter`, `$booleanTrue`, `$booleanFalse`
  </ParamField>
</Accordion>

<Accordion title="When Vendors is selected">
  Additional options when this parameter is set to `vendors`.

  <ParamField path="businessCentralFilterFormula" type="CONDITIONAL">
    Only trigger on records that match these filters.

    * Example value: `Field`
    * Supported filter fields: `id`, `displayName`, `number`, `email`, `taxRegistrationNumber`, `paymentTermsId`
    * Supported filter fields are loaded from `getFields` after selecting `recordType`.
    * Supported operators: `$stringExactlyMatches`, `$stringDoesNotExactlyMatch`, `$numberEquals`, `$numberGreaterThan`, `$numberLessThan`, `$numberGreaterThanOrEqualTo`, `$numberDoesNotEqual`, `$dateTimeEquals`, `$dateTimeBefore`, `$dateTimeAfter`, `$booleanTrue`, `$booleanFalse`
  </ParamField>
</Accordion>
